OpenCV: Intel IPP Asynchronous C/C++ Converters

| OpenCV 3.4.2 Open Source Computer Vision

Functions
Intel IPP Asynchronous C/C++ Converters
Core functionality

## Functions
void | cv::hpp::copyHppToMat (hppiMatrix *src, Mat &dst, hppAccel accel, int cn)
| Convert hppiMatrix to Mat. More...
hppiMatrix * | cv::hpp::getHpp (const Mat &src, hppAccel accel)
| Create hppiMatrix from Mat. More...
Mat | cv::hpp::getMat (hppiMatrix *src, hppAccel accel, int cn)
| Create Mat from hppiMatrix. More...
int | cv::hpp::toCvType (const int hppType)
| convert hppDataType to OpenCV data type More...
int | cv::hpp::toHppType (const int cvType)
| convert OpenCV data type to hppDataType More...

## Detailed Description

This section describes conversion between OpenCV and Intel® IPP Asynchronous C/C++ library. Getting Started Guide help you to install the library, configure header and library build paths.

## Function Documentation

## ◆ copyHppToMat()

void cv::hpp::copyHppToMat | ( | hppiMatrix * | src,
|  | Mat & | dst,
|  | hppAccel | accel,
|  | int | cn
| ) |  |
| inline

Convert hppiMatrix to Mat.

This function allocates and initializes new matrix (if needed) that has the same size and type as input matrix. Supports CV_8U, CV_16U, CV_16S, CV_32S, CV_32F, CV_64F.

Parameters

  src | input hppiMatrix.
  dst | output matrix.
  accel | accelerator instance (see hpp::getHpp for the list of acceleration framework types).
  cn | number of channels.

## ◆ getHpp()

hppiMatrix* cv::hpp::getHpp | ( | const Mat & | src,
|  | hppAccel | accel
| ) |  |
| inline

Create hppiMatrix from Mat.

This function allocates and initializes the hppiMatrix that has the same size and type as input matrix, returns the hppiMatrix*.

If you want to use zero-copy for GPU you should to have 4KB aligned matrix data. See details hppiCreateSharedMatrix.

Supports CV_8U, CV_16U, CV_16S, CV_32S, CV_32F, CV_64F.

Note
  The hppiMatrix pointer to the image buffer in system memory refers to the src.data. Control the lifetime of the matrix and don't change its data, if there is no special need.

Parameters

  src | input matrix.
  accel | accelerator instance. Supports type: HPP_ACCEL_TYPE_CPU - accelerated by optimized CPU instructions. HPP_ACCEL_TYPE_GPU - accelerated by GPU programmable units or fixed-function accelerators. HPP_ACCEL_TYPE_ANY - any acceleration or no acceleration available.

See also
  howToUseIPPAconversion, hpp::getMat

## ◆ getMat()

Mat cv::hpp::getMat | ( | hppiMatrix * | src,
|  | hppAccel | accel,
|  | int | cn
| ) |  |
| inline

Create Mat from hppiMatrix.

This function allocates and initializes the Mat that has the same size and type as input matrix. Supports CV_8U, CV_16U, CV_16S, CV_32S, CV_32F, CV_64F.

Parameters

  src | input hppiMatrix.
  accel | accelerator instance (see hpp::getHpp for the list of acceleration framework types).
  cn | number of channels.

See also
  howToUseIPPAconversion, hpp::copyHppToMat, hpp::getHpp.

## ◆ toCvType()

int cv::hpp::toCvType | ( | const int | hppType | ) |
| inline

convert hppDataType to OpenCV data type

## ◆ toHppType()

int cv::hpp::toHppType | ( | const int | cvType | ) |
| inline

convert OpenCV data type to hppDataType